# method

- METHOD-RETURN NAME (TYPE NAME, ...) { STATEMENT ... }
  This form creates a method, bound to name, that can be called within this class, on this object, or instances of this class. The body of the method, the sequence of statements, will be evaluated when the method is called. The name may not be the name of any classes defined in the same program or of any fields in the same class.
- `abstract` METHOD-RETURN NAME (TYPE NAME, ...);
  This form creates the name of a method within an abstract class. All subclasses must implement this method to properly subclass the abstract class.

ProfessorJ Intermediate Language